curl --request GET \
--url https://api.uat.frankie.one/v2/individuals/{entityId}/results/{processResultId} \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/individuals/{entityId}/results/{processResultId}"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/individuals/{entityId}/results/{processResultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"processResult": {
"processResultId": "<string>",
"schemaVersion": 123,
"entityId": "<string>",
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"stepName": "<string>",
"stepType": "<string>",
"objectType": "<string>",
"objectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "<string>",
"providerResult": {
"name": "<string>",
"source": "<string>",
"sourceNormalized": "<string>",
"reference": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"confidence": {
"normalized": 50,
"actual": "<string>"
},
"riskScore": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
},
"subClass": "<string>",
"supplementaryData": {
"serviceProvider": "<string>",
"searchId": "<string>",
"caseId": "<string>",
"referenceId": "<string>",
"originalStepSearchLevel": "<string>",
"groupingId": "<string>",
"reportUrl": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"matchData": {
"spReferenceId": "<string>",
"name": "<string>",
"strength": 123,
"givenName": "<string>",
"otherName": "<string>",
"familyName": "<string>",
"date": "<string>",
"address": "<string>",
"countries": [
{
"code": "<string>",
"matchType": "<string>"
}
],
"nationalId": {
"idNumber": "<string>",
"idType": "<string>",
"idExpiry": "<string>",
"issuingCountryCode": "<string>",
"documentId": "<string>"
},
"imageUrl": "<string>",
"isDeceased": true,
"isAlias": true,
"isRelated": true
},
"aliases": [
"<string>"
],
"relatedParties": [
{
"name": "<string>",
"relationship": "<string>"
}
],
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"notes": {},
"pepData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"level": "<string>",
"sourceUrl": "<string>",
"sourcePosition": "<string>",
"position": "<string>",
"positionDescription": "<string>",
"status": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"sanctionData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"watchlistData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"mediaData": [
{
"title": "<string>",
"source": "<string>",
"snippet": "<string>",
"sourceDate": "<string>",
"sourceCountry": "<string>",
"url": "<string>",
"isCurrent": true
}
]
},
"errors": [
{
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"notes": {},
"systemStatus": "VALID",
"riskFactors": [
{
"factor": "<string>",
"value": "<string>"
}
],
"updatedBy": "<string>"
}
}Get a process result
Get process result using process result id for a given individual entity
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
Process Result Object ID When a process result object is first created, it is assigned an ID. When updating the process result object, set the processResultID to the ID of the process result object you are referring to.
Was this page helpful?